CREATE TABLE fnd_object_instance_sets (
    ENTERPRISE_ID                NUMBER(18, 0) ,
    SANDBOX_ID                   VARCHAR2(256) ,
    INSTANCE_SET_ID              NUMBER(18, 0) ,
    INSTANCE_SET_NAME            VARCHAR2(320)     NOT NULL,
    OBJECT_ID                    NUMBER(18, 0)     NOT NULL,
    PREDICATE                    VARCHAR2(4000),
    FILTER                       XMLTYPE       ,
    CHANGE_SINCE_LAST_REFRESH    VARCHAR2(4)       NOT NULL,
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    PROGRAM_NAME                 VARCHAR2(120) ,
    PROGRAM_TAG                  VARCHAR2(120) ,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    ENTERPRISE_ID                NUMBER(18, 0) ,
    SANDBOX_ID                   VARCHAR2(256) ,
    INSTANCE_SET_ID              NUMBER(18, 0) ,
    INSTANCE_SET_NAME            VARCHAR2(320)     NOT NULL,
    OBJECT_ID                    NUMBER(18, 0)     NOT NULL,
    PREDICATE                    VARCHAR2(4000),
    CREATED_BY                   VARCHAR2(256)     NOT NULL,
    CREATION_DATE                TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE             TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128) ,
    PROGRAM_NAME                 VARCHAR2(120) ,
    PROGRAM_TAG                  VARCHAR2(120) ,
    CHANGE_SINCE_LAST_REFRESH    VARCHAR2(4)       NOT NULL,
    SEED_DATA_SOURCE             VARCHAR2(2048),
    FILTER                       XMLTYPE       ,
    ORA_SEED_SET1                VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fnd_object_instance_sets PRIMARY KEY (ENTERPRISE_ID, SANDBOX_ID, INSTANCE_SET_ID, ENTERPRISE_ID, SANDBOX_ID, INSTANCE_SET_ID)
);
